> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsample Tags

> Enhance style tags with creative boost

Give your style prompt a creative boost. This endpoint takes a short style description and expands it into richer, more detailed style tags that can produce better generation results.

<Info>
  This is an async task. The response contains a `taskId` — use [Get Task Status](/api-reference/suno/task) to poll for the enhanced tags.
</Info>

<Tip>
  Use the enhanced tags returned by this endpoint as the `tags` parameter in the [Generate](/api-reference/suno/generate) endpoint for more expressive music generation.
</Tip>


## OpenAPI

````yaml POST /suno/v2/upsampleTags
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/upsampleTags:
    post:
      tags:
        - suno
      summary: upsample tags
      description: gives your prompt to creative boost
      operationId: ApiPublicController_upsampleTags
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PromptDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
      security:
        - bearerAuth: []
components:
  schemas:
    PromptDto:
      type: object
      properties:
        prompt:
          type: string
          description: The prompt to generate the image.
      required:
        - prompt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````